# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test.pm) perl(XML/XPath.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-XML-Merge 
Version:        1.2.565EgGd
Release:        alt1_14
Summary:        Flexibly merge XML documents

Group:          Development/Perl
License:        GPLv2
URL:            http://search.cpan.org/dist/XML-Merge/
Source0:        http://search.cpan.org/CPAN/authors/id/P/PI/PIP/XML-Merge-%{version}.tgz
Patch1:         perl-XML-Merge-makefile.patch

BuildArch:      noarch 
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(XML/Tidy.pm)
Source44: import.info

%description
This module inherits from XML::Tidy which in turn inherits from XML::XPath.
This ensures that Merge objects' indenting can be tidied up after any merge
operation since such modification usually spells the ruination of indentation.
Polymorphism allows Merge objects to be utilized as normal XML::XPath objects
as well.
The merging behavior is setup to combine separate XML documents according to
certain rules and configurable options. If both documents have root nodes which
are elements of the same name, the documents are merged directly. Otherwise,
one is merged as a child of the other. An optional XPath location can be
specified as the place to perform the merge. If no location is specified, the
merge is attempted at the first matching element or is appended as the new last
child of the other root if no match is found.


%prep
%setup -q -n XML-Merge-%{version}
%patch1 -p0


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%files
%doc README
%{perl_vendor_privlib}/*


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.565EgGd-alt1_14
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.2.565EgGd-alt1_13
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.2.565EgGd-alt1_11
- fc import

